## org.apache.batik.ext.awt.image.rendered
Class MultiplyAlphaRed

    java.lang.Object
      org.apache.batik.ext.awt.image.rendered.AbstractRed
          org.apache.batik.ext.awt.image.rendered.MultiplyAlphaRed

All Implemented Interfaces:
  CachableRed, java.awt.image.RenderedImage

public class MultiplyAlphaRed
extends AbstractRed

This implements a masking operation by multiply the alpha channel of one image by a luminance image (the mask).

Field Summary

Fields inherited from class org.apache.batik.ext.awt.image.rendered.AbstractRed
`bounds, cm, minTileX, minTileY, numXTiles, numYTiles, props, sm, srcs, tileGridXOff, tileGridYOff, tileHeight, tileWidth`

Constructor Summary
`MultiplyAlphaRed(CachableRed src, CachableRed alpha)` Multiply the alpha of one image with a mask image.

Method Summary
`java.awt.image.WritableRaster` `copyData(java.awt.image.WritableRaster wr)`
`static java.awt.image.ColorModel` `fixColorModel(CachableRed src)`
`static java.awt.image.SampleModel` `fixSampleModel(CachableRed src)`
`java.awt.image.WritableRaster` `INT_PACK_BYTE_COMP_Impl(java.awt.image.WritableRaster wr)`
`boolean` `is_INT_PACK_BYTE_COMP(java.awt.image.SampleModel srcSM, java.awt.image.SampleModel alpSM)`
`static java.awt.Rectangle` `makeBounds(CachableRed src1, CachableRed src2)`
`static java.util.List` `makeList(CachableRed src1, CachableRed src2)`

Methods inherited from class org.apache.batik.ext.awt.image.rendered.AbstractRed
`copyBand, copyToRaster, getBounds, getColorModel, getData, getData, getDependencyRegion, getDirtyRegion, getHeight, getMinTileX, getMinTileY, getMinX, getMinY, getNumXTiles, getNumYTiles, getProperty, getPropertyNames, getSampleModel, getSources, getTile, getTileGridXOffset, getTileGridYOffset, getTileHeight, getTileWidth, getWidth, getXTile, getYTile, init, init, makeTile, updateTileGridInfo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiplyAlphaRed

    public MultiplyAlphaRed(CachableRed src,
                            CachableRed alpha)

  Multiply the alpha of one image with a mask image. The size of the resultant image is the intersection of the two image bounds. If you want the end image to be the size of one or the other please use the PadRed operator.

Parameters:
  `src` - The image to convert to multiply the alpha of
  `alpha` - The mask image to multiply the alpha channel of src with.

Method Detail

### is_INT_PACK_BYTE_COMP

    public boolean is_INT_PACK_BYTE_COMP(java.awt.image.SampleModel srcSM,
                                         java.awt.image.SampleModel alpSM)

### INT_PACK_BYTE_COMP_Impl

    public java.awt.image.WritableRaster INT_PACK_BYTE_COMP_Impl(java.awt.image.WritableRaster wr)

### copyData

    public java.awt.image.WritableRaster copyData(java.awt.image.WritableRaster wr)

### makeList

    public static java.util.List makeList(CachableRed src1,
                                          CachableRed src2)

### makeBounds

    public static java.awt.Rectangle makeBounds(CachableRed src1,
                                                CachableRed src2)

### fixSampleModel

    public static java.awt.image.SampleModel fixSampleModel(CachableRed src)

### fixColorModel

    public static java.awt.image.ColorModel fixColorModel(CachableRed src)

Copyright © 2004 Apache Software Foundation. All Rights Reserved.